<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.streamsasl.StreamSASLMixIn</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.streamsasl-module.html">Module&nbsp;streamsasl</a> ::
        Class&nbsp;StreamSASLMixIn
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class StreamSASLMixIn</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn">source&nbsp;code</a></span></p>
<pre class="base-tree">
<a href="pyxmpp.sasl.core.PasswordManager-class.html">sasl.core.PasswordManager</a> --+
                            |
                           <strong class="uidshort">StreamSASLMixIn</strong>
</pre>

<dl><dt>Known Subclasses:</dt>
<dd>
      <ul class="subclass-list">
<li><a href="pyxmpp.stream.Stream-class.html">stream.Stream</a></li>  </ul>
</dd></dl>

<hr />
SASL authentication mix-in class for XMPP stream.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">sasl_mechanisms</span>=<span class="summary-sig-default"><code class="variable-group">(</code><code class="variable-group">)</code></span>)</span><br />
      Initialize Stream object</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_handle_sasl_features" class="summary-sig-name" onclick="show_private();">_handle_sasl_features</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Process incoming &lt;stream:features/&gt; element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._handle_sasl_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_make_stream_sasl_features" class="summary-sig-name" onclick="show_private();">_make_stream_sasl_features</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">features</span>)</span><br />
      Add SASL features to the &lt;features/&gt; element of the stream.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._make_stream_sasl_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_node_sasl" class="summary-sig-name" onclick="show_private();">_process_node_sasl</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>)</span><br />
      Process incoming stream element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_node_sasl">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_abort" class="summary-sig-name" onclick="show_private();">_process_sasl_abort</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Process incoming &lt;sasl:abort/&gt; element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_abort">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_auth" class="summary-sig-name" onclick="show_private();">_process_sasl_auth</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">mechanism</span>,
        <span class="summary-sig-arg">content</span>)</span><br />
      Process incoming &lt;sasl:auth/&gt; element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_auth">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_challenge" class="summary-sig-name" onclick="show_private();">_process_sasl_challenge</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">content</span>)</span><br />
      Process incoming &lt;sasl:challenge/&gt; element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_challenge">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_failure" class="summary-sig-name" onclick="show_private();">_process_sasl_failure</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>)</span><br />
      Process incoming &lt;sasl:failure/&gt; element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_failure">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_node" class="summary-sig-name" onclick="show_private();">_process_sasl_node</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>)</span><br />
      Process stream element in the SASL namespace.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_node">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_response" class="summary-sig-name" onclick="show_private();">_process_sasl_response</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">content</span>)</span><br />
      Process incoming &lt;sasl:response/&gt; element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_response">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_success" class="summary-sig-name" onclick="show_private();">_process_sasl_success</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">content</span>)</span><br />
      Process incoming &lt;sasl:success/&gt; element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_success">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_reset_sasl"></a><span class="summary-sig-name">_reset_sasl</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Reset <a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html" class="link">StreamSASLMixIn</a> object state making it ready to handle new
connections.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._reset_sasl">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_sasl_authenticate" class="summary-sig-name" onclick="show_private();">_sasl_authenticate</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">username</span>,
        <span class="summary-sig-arg">authzid</span>,
        <span class="summary-sig-arg">mechanism</span>=<span class="summary-sig-default">None</span>)</span><br />
      Start SASL authentication process.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._sasl_authenticate">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.sasl.core.PasswordManager-class.html">sasl.core.PasswordManager</a></code></b>:
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#check_authzid">check_authzid</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#check_password">check_password</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#choose_realm">choose_realm</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#generate_nonce">generate_nonce</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_password">get_password</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_realms">get_realms</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_serv_host">get_serv_host</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_serv_name">get_serv_name</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_serv_type">get_serv_type</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">sasl_mechanisms</span>=<span class="sig-default"><code class="variable-group">(</code><code class="variable-group">)</code></span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize Stream object
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>sasl_mechanisms</code></strong> - : sequence of SASL mechanisms allowed for
authentication. Currently &quot;PLAIN&quot;, &quot;DIGEST-MD5&quot; and &quot;GSSAPI&quot; are supported.</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.sasl.core.PasswordManager-class.html#__init__">sasl.core.PasswordManager.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_handle_sasl_features"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_handle_sasl_features</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._handle_sasl_features">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming &lt;stream:features/&gt; element.</p>
<p>[initiating entity only]</p>
<p>The received features node is available in <code class="link">self.features</code>.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_make_stream_sasl_features"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_make_stream_sasl_features</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">features</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._make_stream_sasl_features">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Add SASL features to the &lt;features/&gt; element of the stream.</p>
<p>[receving entity only]</p>
  <dl class="fields">
    <dt>Returns:</dt>
        <dd>update &lt;features/&gt; element node.</dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_node_sasl"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_node_sasl</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_node_sasl">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process incoming stream element. Pass it to _process_sasl_node
if it is in the SASL namespace.
  <dl class="fields">
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> when the node was recognized as a SASL element.</dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_sasl_abort"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_sasl_abort</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_abort">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming &lt;sasl:abort/&gt; element.</p>
<p>[receiving entity only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_process_sasl_auth"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_sasl_auth</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">mechanism</span>,
        <span class="sig-arg">content</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_auth">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming &lt;sasl:auth/&gt; element.</p>
<p>[receiving entity only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>mechanism</code></strong> - : mechanism choosen by the peer.</li>
        <li><strong class="pname"><code>content</code></strong> - : optional &quot;initial response&quot; included in the element.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_sasl_challenge"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_sasl_challenge</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">content</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_challenge">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming &lt;sasl:challenge/&gt; element.</p>
<p>[initiating entity only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>content</code></strong> - : the challenge data received (Base64-encoded).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_sasl_failure"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_sasl_failure</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_failure">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming &lt;sasl:failure/&gt; element.</p>
<p>[initiating entity only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> - : the XML node received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_sasl_node"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_sasl_node</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_node">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process stream element in the SASL namespace.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> - : the XML node received</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_sasl_response"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_sasl_response</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">content</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_response">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming &lt;sasl:response/&gt; element.</p>
<p>[receiving entity only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>content</code></strong> - : the response data received (Base64-encoded).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_sasl_success"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_sasl_success</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">content</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._process_sasl_success">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming &lt;sasl:success/&gt; element.</p>
<p>[initiating entity only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>content</code></strong> - : the &quot;additional data with success&quot; received (Base64-encoded).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_sasl_authenticate"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_sasl_authenticate</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">username</span>,
        <span class="sig-arg">authzid</span>,
        <span class="sig-arg">mechanism</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamsasl-pysrc.html#StreamSASLMixIn._sasl_authenticate">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Start SASL authentication process.</p>
<p>[initiating entity only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>username</code></strong> - : user name.</li>
        <li><strong class="pname"><code>authzid</code></strong> - : authorization ID.</li>
        <li><strong class="pname"><code>mechanism</code></strong> - : SASL mechanism to use.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:05 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
